Home » Server Options » Multitenant » ORA-39712 (Database 23c Free, Release 23.0.0.0.0 - Developer-Release Version 23.2.0.0.0)
ORA-39712 [message #687708] Mon, 15 May 2023 09:51 Go to next message
John Watson
Messages: 8937
Registered: January 2010
Location: Global Village
Senior Member
I've been experimenting with the Replay Upgrade facility introduced in 21c, trying to get it to work in 23cFREE. As far as I can see, a 19c non-CDB plugs in OK but then it doesn't open for the upgrade and the nonCDB to PDB conversion. Trying to open it manually gives this,
Connected to:
Oracle Database 23c Free, Release 23.0.0.0.0 - Developer-Release
Version 23.2.0.0.0

SQL> sho pdbs

    CON_ID CON_NAME                       OPEN MODE  RESTRICTED
---------- ------------------------------ ---------- ----------
         2 PDB$SEED                       READ ONLY  NO
         3 FREEPDB1                       READ WRITE NO
         4 UPGAUTO                        MOUNTED
SQL> alter pluggable database upgauto open;
alter pluggable database upgauto open
*
ERROR at line 1:
ORA-39712: database cannot be opened by an Oracle Database Free server


SQL> !oerr ora 39712
39712, 00000, "database cannot be opened by an Oracle Database Free server"
// *Cause:  An attempt was made to open a Standard Edition or Enterprise
//          Edition database with an Oracle Database Free server.
// *Action: Use the Oracle Database Free server only with Oracle Database Free
//          databases.

SQL>
Googling the error (there's nothing in MOS) says the same error was thrown when you tried to plug an SE or EE DB into XE. Has anyone found a work around for this? A way to force the open to work? I've looked at the zillions of _underscore parameters, but couldn't see anything obvious there.

Thank you for any insight.




Re: ORA-39712 [message #687709 is a reply to message #687708] Mon, 15 May 2023 10:48 Go to previous messageGo to next message
Michel Cadot
Messages: 68658
Registered: March 2007
Location: Nanterre, France, http://...
Senior Member
Account Moderator

Maybe the "_oracle_script" one which bypasses some tests?
There is also the "_oracle_special_license_1_granted" one (in 21c maybe others in 23c).
Or "_oracle_employee_testing"? Wink

Re: ORA-39712 [message #687716 is a reply to message #687709] Tue, 16 May 2023 05:42 Go to previous message
John Watson
Messages: 8937
Registered: January 2010
Location: Global Village
Senior Member
I didn't know about "_oracle_employee_testing"  :) but it doesn't help. Thanks anyway.
I also had a go at looking at comparing the plugin XML manifest files generated for a 23cFREE pdb and for a 19c pdb, couldn't see anything there that tells Oracle what edition the pdb came from. So I wonder how it knows? There's no controlfile, so it can't be there. Pdb_plug_in_violations looks fine, too. Something in the data dictionary, I guess. Which is why 21cFREE can plugin and mount the pdb but can't open it.

Well, it was fun trying. I'll have to install 21c, which I really didn't want to do.
Previous Topic: Migration from PDB to Non PDB oracle 19.11 database
Next Topic: RAM of Services goes up after swap to Multitenant
Goto Forum:
  


Current Time: Sat Jun 15 07:52:46 CDT 2024